Confirmar eventos
curl --request POST \
--url https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b"
}
]
'import requests
url = "https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment"
payload = [{ "id": "5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{id: '5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b'}])
};
fetch('https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment"
payload := strings.NewReader("[\n {\n \"id\": \"5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b\"\n }\n]"
response = http.request(request)
puts response.read_body{
"total": 123
}{
"title": "Unauthorized",
"status": 401
}{
"status": "404",
"title": "Record not found"
}Eventos
Confirmar eventos
Confirma (acknowledgment) um conjunto de eventos, removendo-os das próximas chamadas de polling deste aplicativo. Apenas o id de cada item é utilizado; ids desconhecidos ou de lojas não autorizadas são ignorados. Confirmar o mesmo evento mais de uma vez não tem efeito adicional.
POST
/
merchant
/
v3
/
events
/
acknowledgment
Confirmar eventos
curl --request POST \
--url https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b"
}
]
'import requests
url = "https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment"
payload = [{ "id": "5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{id: '5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b'}])
};
fetch('https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'id' => '5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment"
payload := strings.NewReader("[\n {\n \"id\": \"5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"id\": \"5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.deliveryvip.com.br/merchant/v3/events/acknowledgment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"id\": \"5c7a7b1e-2f9c-4c1e-9a8f-3b2d1e0f4a6b\"\n }\n]"
response = http.request(request)
puts response.read_body{
"total": 123
}{
"title": "Unauthorized",
"status": 401
}{
"status": "404",
"title": "Record not found"
}Autorizações
Token de acesso opaco emitido pela API de autenticação (POST /authentication/v1/oauth/token).
Corpo
application/json
O eventId do evento a confirmar.
Resposta
Eventos confirmados.
Quantidade de confirmações efetivamente registradas nesta chamada.